IE9 to require Windows 7 SP 1

User Rating: / 5
PoorBest 
AddThis Social Bookmark Button

"Windows XP users are unable to install Internet Explorer 9, and now it looks like Windows 7 RTM users won't be able to either, at least once the final version hits the 'Net. When Microsoft releases Internet Explorer 9, Windows 7 users will need to have Service Pack 1 before they can install it, according to the Internet Explorer 9 Beta FAQ for IT Professionals. Microsoft did confirm, however, that IT pros will be able to add IE9 to existing Windows 7 images in order to streamline the deployment process"